<!DOCTYPE html>
<html lang="en">
<head>
    <title>P4 - 3D</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
    <style>
        body {
            background-color: #000000;
            margin: 0px;
            overflow: hidden;
        }
        .info{
            position:absolute;
            left:25%;
            top: 50%;
            margin:auto;
            width:50%;
            height:100px;
            margin-left:-15%;
            z-index: 99999;
            color: white;
            text-align: center;
            display:none;
        }

    </style>
</head>

<body>
<table style="width: 100%;height: 100%; border: none">
    <tr>
        <td id="container_l" width="50%"  style="padding:0; margin:0"></td>
        <td id="container_r" width="50%" style="padding:0; margin:0"></td>
    </tr>
</table>
<div id="info" class="info" ></div>
<!--
<div id="container_l" ></div>
<!--

<div id="container_r" style="width: 50%; height: 100%; left: 50%"></div>
-->

<script src="js/three.min.js"></script>
<script src="js/DeviceOrientationControls.js"></script>
<script src="js/DeviceOrientationControls_a5.js"></script>

<script>
    var waitTimes;
    var timerId1 = 0;
    var timerId2 = 0;

    var enablePoints = false;
    var timerIdStart = 0;

    var filePathPrefix = '';
    var imageFilePath_l = filePathPrefix + 'img/pan-2-left.jpg';
    var imageFilePath_r = filePathPrefix + 'img/pan-2-right.jpg';

    var camera, scene, renderer, effect, controls;
    var camera_r, scene_r, renderer_r, effect_r, controls_r;
    var isUserInteracting = false,
            onMouseDownMouseX = 0, onMouseDownMouseY = 0,
            lon = 0, onMouseDownLon = 0,
            lat = 0, onMouseDownLat = 0,
            phi = 0, theta = 0;
    init();
    animate();

    function init() {
        var container = document.getElementById( 'container_l' );
        var container_r = document.getElementById( 'container_r' );

        camera = new THREE.PerspectiveCamera( 75, (window.innerWidth/2) / window.innerHeight, 1, 1100 );
        camera_r = new THREE.PerspectiveCamera( 75, (window.innerWidth/2) / window.innerHeight, 1, 1100 );

         //controls = new THREE.DeviceOrientationControls_a5(camera, true);
         //controls_r = new THREE.DeviceOrientationControls_a5(camera_r, true);
         //controls_r = new THREE.DeviceOrientationControls_a5(camera_r, true);

/*
        if (window.navigator.userAgent.lastIndexOf('SAMSUNG SM')>0 ){
            controls = new THREE.DeviceOrientationControls_a5(camera, true);
            controls_r = new THREE.DeviceOrientationControls_a5(camera_r, true);
        }else{
            controls = new THREE.DeviceOrientationControls(camera, true);
            controls_r = new THREE.DeviceOrientationControls(camera_r, true);
        }
*/
        controls = new THREE.DeviceOrientationControls(camera, true);
        controls_r = new THREE.DeviceOrientationControls(camera_r, true);
        controls.connect();
        controls_r.connect();
        controls.update();
        controls_r.update();

        scene = new THREE.Scene();
        scene_r = new THREE.Scene();


        var geometry = new THREE.SphereGeometry( 1000, 60, 60 );
        geometry.scale( - 1, 1, 1 );
        var material = new THREE.MeshBasicMaterial( {
            map: new THREE.TextureLoader().load( imageFilePath_l )
        } );
        mesh = new THREE.Mesh( geometry, material );
        scene.add( mesh );

        var geometry_r = new THREE.SphereGeometry( 1000, 60, 60 );
        geometry_r.scale( - 1, 1, 1 );
        var material_r = new THREE.MeshBasicMaterial( {
            map: new THREE.TextureLoader().load( imageFilePath_r )
        } );
        mesh_r = new THREE.Mesh( geometry_r, material_r );
        scene_r.add( mesh_r );

        renderer = new THREE.WebGLRenderer();
        renderer_r = new THREE.WebGLRenderer();
        renderer.setPixelRatio( window.devicePixelRatio );
        renderer_r.setPixelRatio( window.devicePixelRatio );
        renderer.setSize( window.innerWidth/2, window.innerHeight );
        renderer_r.setSize( window.innerWidth/2, window.innerHeight );
        container.appendChild( renderer.domElement );
        container_r.appendChild( renderer_r.domElement );

        timerIdStart = setInterval(goTimerStart, 3000);
    }

    function animate() {
        requestAnimationFrame( animate );
        camera.updateProjectionMatrix();
        camera_r.updateProjectionMatrix();
        controls.update();
        controls_r.update();
        renderer.render( scene, camera );
        renderer_r.render( scene_r, camera_r );

        if (!enablePoints){return;}

        v = camera.getWorldDirection();
        pos_x = -200;
        pos_y = 200;
        pos_y_2 = 950;
        pos_r = 100;
        pos_res = "false";


        if (Math.abs(Math.abs(Math.round(v.y*1000)) - pos_y_2) < pos_r){
            if (timerId2==0) {
                pos_res = "true";
                waitTimes = 3;
                document.getElementById( 'info' ).style.display="block";
                goTimer2();
                timerId2 = setInterval(goTimer2, 1000);
            }
        }else{
            if (timerId2!=0){
                clearTimeout(timerId2);
                timerId2 = 0;
                waitTimes = 3;
                document.getElementById( 'info' ).innerHTML = "";
            }
        };
    }


    function update(dt) {
        resize();
        camera.updateProjectionMatrix();
        camera_r.updateProjectionMatrix();
        controls.update(dt);
        controls_r.update(dt);
    }





    function goTimer1(){
        document.getElementById( 'info' ).innerHTML ="Вход через\n"+waitTimes+" сек.";
        document.getElementById( 'info' ).style.display="block";        
        waitTimes--;
        if (waitTimes<0){
            //alert("waitTimes="+waitTimes);
            window.location = "3d-2.html";
        }
        //document.getElementById( 'info' ).innerHTML ="Go("+waitTimes+"):"+pos_res+",   x="+Math.round(v.x*1000)+", y="+Math.round(v.y*1000)+", z="+Math.round(v.z*1000);
    }

    function goTimer2(){
        document.getElementById( 'info' ).innerHTML ="Выход через<br/>"+waitTimes+" сек.";
        document.getElementById( 'info' ).style.display="block";
        waitTimes--;
        if (waitTimes<0){
            //alert("Exit");
            //window.location = "exit://";
            window.location = "3d.html";
        }
        //document.getElementById( 'info' ).innerHTML ="Go("+waitTimes+"):"+pos_res+",   x="+Math.round(v.x*1000)+", y="+Math.round(v.y*1000)+", z="+Math.round(v.z*1000);
    }

    function goTimerStart(){
      enablePoints = true;
      clearTimeout(timerIdStart);
    }
</script>
</body>
</html>